"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SystemTrayIcon = exports.MessageDialog = exports.MenuSeparator = exports.MenuItemGroup = exports.MenuItem = exports.MenuBar = exports.Menu = exports.FontDialog = exports.FolderDialog = exports.FileDialog = exports.ColorDialog = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateQml = function generateQml(type) {
  return "import Qt.labs.platform 1.0; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: defaultProperty
  });
}

var ColorDialog = Module.ColorDialog,
    FileDialog = Module.FileDialog,
    FolderDialog = Module.FolderDialog,
    FontDialog = Module.FontDialog,
    Menu = Module.Menu,
    MenuBar = Module.MenuBar,
    MenuItem = Module.MenuItem,
    MenuItemGroup = Module.MenuItemGroup,
    MenuSeparator = Module.MenuSeparator,
    MessageDialog = Module.MessageDialog,
    SystemTrayIcon = Module.SystemTrayIcon;
exports.SystemTrayIcon = SystemTrayIcon;
exports.MessageDialog = MessageDialog;
exports.MenuSeparator = MenuSeparator;
exports.MenuItemGroup = MenuItemGroup;
exports.MenuItem = MenuItem;
exports.MenuBar = MenuBar;
exports.Menu = Menu;
exports.FontDialog = FontDialog;
exports.FolderDialog = FolderDialog;
exports.FileDialog = FileDialog;
exports.ColorDialog = ColorDialog;
var _default = Module;
exports.default = _default;