"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Settings = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateQml = function generateQml(type) {
  return "import Qt.labs.settings 1.0; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: 'data'
  });
}

var Settings = Module.Settings;
exports.Settings = Settings;
var _default = Module;
exports.default = _default;