"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RegExpValidator = exports.YAnimator = exports.XAnimator = exports.WorkerScript = exports.ViewSection = exports.Vector3dAnimation = exports.UniformAnimator = exports.Translate = exports.Transition = exports.TouchPoint = exports.TextMetrics = exports.TextInput = exports.TextEdit = exports.Text = exports.SystemPalette = exports.StateGroup = exports.StateChangeScript = exports.State = exports.SpriteSequence = exports.Sprite = exports.SpringAnimation = exports.SmoothedAnimation = exports.Shortcut = exports.ShaderEffectSource = exports.ShaderEffect = exports.SequentialAnimation = exports.ScriptAction = exports.ScaleAnimator = exports.Scale = exports.Row = exports.RotationAnimator = exports.RotationAnimation = exports.Rotation = exports.Repeater = exports.Rectangle = exports.PropertyChanges = exports.PropertyAnimation = exports.PropertyAction = exports.PinchArea = exports.Pinch = exports.PauseAnimation = exports.PathView = exports.PathSvg = exports.PathQuad = exports.PathPercent = exports.PathMove = exports.PathLine = exports.PathInterpolator = exports.PathCubic = exports.PathCurve = exports.PathAttribute = exports.PathArc = exports.PathAnimation = exports.Path = exports.ParentChange = exports.ParentAnimation = exports.ParallelAnimation = exports.Package = exports.OpacityAnimator = exports.NumberAnimation = exports.MultiPointTouchArea = exports.MouseArea = exports.Matrix4x4 = exports.Loader = exports.ListView = exports.Item = exports.IntValidator = exports.Image = exports.GridView = exports.GridMesh = exports.Grid = exports.GradientStop = exports.Gradient = exports.FontMetrics = exports.FontLoader = exports.FocusScope = exports.Flow = exports.Flipable = exports.Flickable = exports.DropArea = exports.DoubleValidator = exports.Column = exports.ColorAnimation = exports.Canvas = exports.BorderImageMesh = exports.BorderImage = exports.Behavior = exports.AnimationController = exports.AnimatedSprite = exports.AnimatedImage = exports.AnchorChanges = exports.AnchorAnimation = exports.VisualItemModel = exports.ListModel = exports.ListElement = exports.VisualDataGroup = exports.VisualDataModel = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateQml = function generateQml(type) {
  return "import QtQuick 2.10; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: defaultProperty
  });
}

var VisualDataModel = Module.VisualDataModel,
    VisualDataGroup = Module.VisualDataGroup,
    ListElement = Module.ListElement,
    ListModel = Module.ListModel,
    VisualItemModel = Module.VisualItemModel,
    AnchorAnimation = Module.AnchorAnimation,
    AnchorChanges = Module.AnchorChanges,
    AnimatedImage = Module.AnimatedImage,
    AnimatedSprite = Module.AnimatedSprite,
    AnimationController = Module.AnimationController,
    Behavior = Module.Behavior,
    BorderImage = Module.BorderImage,
    BorderImageMesh = Module.BorderImageMesh,
    Canvas = Module.Canvas,
    ColorAnimation = Module.ColorAnimation,
    Column = Module.Column,
    DoubleValidator = Module.DoubleValidator,
    DropArea = Module.DropArea,
    Flickable = Module.Flickable,
    Flipable = Module.Flipable,
    Flow = Module.Flow,
    FocusScope = Module.FocusScope,
    FontLoader = Module.FontLoader,
    FontMetrics = Module.FontMetrics,
    Gradient = Module.Gradient,
    GradientStop = Module.GradientStop,
    Grid = Module.Grid,
    GridMesh = Module.GridMesh,
    GridView = Module.GridView,
    Image = Module.Image,
    IntValidator = Module.IntValidator,
    Item = Module.Item,
    ListView = Module.ListView,
    Loader = Module.Loader,
    Matrix4x4 = Module.Matrix4x4,
    MouseArea = Module.MouseArea,
    MultiPointTouchArea = Module.MultiPointTouchArea,
    NumberAnimation = Module.NumberAnimation,
    OpacityAnimator = Module.OpacityAnimator,
    Package = Module.Package,
    ParallelAnimation = Module.ParallelAnimation,
    ParentAnimation = Module.ParentAnimation,
    ParentChange = Module.ParentChange,
    Path = Module.Path,
    PathAnimation = Module.PathAnimation,
    PathArc = Module.PathArc,
    PathAttribute = Module.PathAttribute,
    PathCurve = Module.PathCurve,
    PathCubic = Module.PathCubic,
    PathInterpolator = Module.PathInterpolator,
    PathLine = Module.PathLine,
    PathMove = Module.PathMove,
    PathPercent = Module.PathPercent,
    PathQuad = Module.PathQuad,
    PathSvg = Module.PathSvg,
    PathView = Module.PathView,
    PauseAnimation = Module.PauseAnimation,
    Pinch = Module.Pinch,
    PinchArea = Module.PinchArea,
    PropertyAction = Module.PropertyAction,
    PropertyAnimation = Module.PropertyAnimation,
    PropertyChanges = Module.PropertyChanges,
    Rectangle = Module.Rectangle,
    Repeater = Module.Repeater,
    Rotation = Module.Rotation,
    RotationAnimation = Module.RotationAnimation,
    RotationAnimator = Module.RotationAnimator,
    Row = Module.Row,
    Scale = Module.Scale,
    ScaleAnimator = Module.ScaleAnimator,
    ScriptAction = Module.ScriptAction,
    SequentialAnimation = Module.SequentialAnimation,
    ShaderEffect = Module.ShaderEffect,
    ShaderEffectSource = Module.ShaderEffectSource,
    Shortcut = Module.Shortcut,
    SmoothedAnimation = Module.SmoothedAnimation,
    SpringAnimation = Module.SpringAnimation,
    Sprite = Module.Sprite,
    SpriteSequence = Module.SpriteSequence,
    State = Module.State,
    StateChangeScript = Module.StateChangeScript,
    StateGroup = Module.StateGroup,
    SystemPalette = Module.SystemPalette,
    Text = Module.Text,
    TextEdit = Module.TextEdit,
    TextInput = Module.TextInput,
    TextMetrics = Module.TextMetrics,
    TouchPoint = Module.TouchPoint,
    Transition = Module.Transition,
    Translate = Module.Translate,
    UniformAnimator = Module.UniformAnimator,
    Vector3dAnimation = Module.Vector3dAnimation,
    ViewSection = Module.ViewSection,
    WorkerScript = Module.WorkerScript,
    XAnimator = Module.XAnimator,
    YAnimator = Module.YAnimator,
    RegExpValidator = Module.RegExpValidator;
exports.RegExpValidator = RegExpValidator;
exports.YAnimator = YAnimator;
exports.XAnimator = XAnimator;
exports.WorkerScript = WorkerScript;
exports.ViewSection = ViewSection;
exports.Vector3dAnimation = Vector3dAnimation;
exports.UniformAnimator = UniformAnimator;
exports.Translate = Translate;
exports.Transition = Transition;
exports.TouchPoint = TouchPoint;
exports.TextMetrics = TextMetrics;
exports.TextInput = TextInput;
exports.TextEdit = TextEdit;
exports.Text = Text;
exports.SystemPalette = SystemPalette;
exports.StateGroup = StateGroup;
exports.StateChangeScript = StateChangeScript;
exports.State = State;
exports.SpriteSequence = SpriteSequence;
exports.Sprite = Sprite;
exports.SpringAnimation = SpringAnimation;
exports.SmoothedAnimation = SmoothedAnimation;
exports.Shortcut = Shortcut;
exports.ShaderEffectSource = ShaderEffectSource;
exports.ShaderEffect = ShaderEffect;
exports.SequentialAnimation = SequentialAnimation;
exports.ScriptAction = ScriptAction;
exports.ScaleAnimator = ScaleAnimator;
exports.Scale = Scale;
exports.Row = Row;
exports.RotationAnimator = RotationAnimator;
exports.RotationAnimation = RotationAnimation;
exports.Rotation = Rotation;
exports.Repeater = Repeater;
exports.Rectangle = Rectangle;
exports.PropertyChanges = PropertyChanges;
exports.PropertyAnimation = PropertyAnimation;
exports.PropertyAction = PropertyAction;
exports.PinchArea = PinchArea;
exports.Pinch = Pinch;
exports.PauseAnimation = PauseAnimation;
exports.PathView = PathView;
exports.PathSvg = PathSvg;
exports.PathQuad = PathQuad;
exports.PathPercent = PathPercent;
exports.PathMove = PathMove;
exports.PathLine = PathLine;
exports.PathInterpolator = PathInterpolator;
exports.PathCubic = PathCubic;
exports.PathCurve = PathCurve;
exports.PathAttribute = PathAttribute;
exports.PathArc = PathArc;
exports.PathAnimation = PathAnimation;
exports.Path = Path;
exports.ParentChange = ParentChange;
exports.ParentAnimation = ParentAnimation;
exports.ParallelAnimation = ParallelAnimation;
exports.Package = Package;
exports.OpacityAnimator = OpacityAnimator;
exports.NumberAnimation = NumberAnimation;
exports.MultiPointTouchArea = MultiPointTouchArea;
exports.MouseArea = MouseArea;
exports.Matrix4x4 = Matrix4x4;
exports.Loader = Loader;
exports.ListView = ListView;
exports.Item = Item;
exports.IntValidator = IntValidator;
exports.Image = Image;
exports.GridView = GridView;
exports.GridMesh = GridMesh;
exports.Grid = Grid;
exports.GradientStop = GradientStop;
exports.Gradient = Gradient;
exports.FontMetrics = FontMetrics;
exports.FontLoader = FontLoader;
exports.FocusScope = FocusScope;
exports.Flow = Flow;
exports.Flipable = Flipable;
exports.Flickable = Flickable;
exports.DropArea = DropArea;
exports.DoubleValidator = DoubleValidator;
exports.Column = Column;
exports.ColorAnimation = ColorAnimation;
exports.Canvas = Canvas;
exports.BorderImageMesh = BorderImageMesh;
exports.BorderImage = BorderImage;
exports.Behavior = Behavior;
exports.AnimationController = AnimationController;
exports.AnimatedSprite = AnimatedSprite;
exports.AnimatedImage = AnimatedImage;
exports.AnchorChanges = AnchorChanges;
exports.AnchorAnimation = AnchorAnimation;
exports.VisualItemModel = VisualItemModel;
exports.ListModel = ListModel;
exports.ListElement = ListElement;
exports.VisualDataGroup = VisualDataGroup;
exports.VisualDataModel = VisualDataModel;
var _default = Module;
exports.default = _default;