"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StackLayout = exports.RowLayout = exports.GridLayout = exports.ColumnLayout = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateQml = function generateQml(type) {
  return "import QtQuick.Layouts 1.3; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: defaultProperty
  });
}

var ColumnLayout = Module.ColumnLayout,
    GridLayout = Module.GridLayout,
    RowLayout = Module.RowLayout,
    StackLayout = Module.StackLayout;
exports.StackLayout = StackLayout;
exports.RowLayout = RowLayout;
exports.GridLayout = GridLayout;
exports.ColumnLayout = ColumnLayout;
var _default = Module;
exports.default = _default;