"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Window = void 0;

var _renderer = require("../../renderer");

var _qmltypes = _interopRequireDefault(require("./qmltypes.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateQml = function generateQml(type) {
  return "import QtQuick.Window 2.10; ".concat(type, " {}");
};

var Module = {};

for (var index = 0; index < _qmltypes.default.length; index++) {
  var definition = _qmltypes.default[index];
  var name = definition.name,
      module = definition.module,
      _definition$defaultPr = definition.defaultProperty,
      defaultProperty = _definition$defaultPr === void 0 ? 'data' : _definition$defaultPr;
  var tagName = "".concat(module, ".").concat(name);
  Module[name] = (0, _renderer.createRawQmlComponent)(generateQml(name), tagName, {
    defaultProp: defaultProperty
  });
}

var Window = Module.Window;
exports.Window = Window;
var _default = Module;
exports.default = _default;